const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');
let currentDir=process.cwd();
let staticPath=[
  {
    directory:path.join(currentDir,"public")
  }
]
module.exports = {
 entry: currentDir+ '/src/main.ts',
 devtool: 'source-map',
  module: {
    rules: [
      {
        test: /\.ts?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
      {
        test: /\.html$/i,
        rules:[{
              loader: "val-loader",
              options: {
                executableFile: path.resolve(
                  __dirname,
                  "importHtml.js"
                ),
              },
        }]
      }
    ],
  },
  resolve: {
    extensions: [ '.tsx', '.ts', '.js',".html" ],
  },
  output: {
    filename: 'bundle.js',
    path: path.resolve(currentDir, 'build'),
  },
  devServer:{
    hot:true,
    static: staticPath,
    compress:true,
    port:5502
  },
  plugins: [
    new HtmlWebpackPlugin({
      inject: true,
      template: path.resolve(__dirname,'build/index.html'),
    }),
  ]
};